/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.dao
 *  ファイル：DimensionMemberDAO.java
 *  説明：
 *
 *  作成日: 2004/01/09
 */
package openolap.viewer.dao;

import java.io.PrintWriter;
import java.sql.SQLException;
import java.util.ArrayList;

import openolap.viewer.Axis;
import openolap.viewer.Dimension;
import openolap.viewer.DimensionMember;
import openolap.viewer.Report;

/**
 *  クラス：DimensionMemberDAO
 *  説明：
 */
public interface DimensionMemberDAO {

	public void outputDimensionMemberAsXML(Report report, PrintWriter out) throws SQLException;
	public void outputDimensionMemberAsXML(Report report, Axis axis, boolean selectFLG, PrintWriter out) throws SQLException;
	public ArrayList selectDimensionMembers(Dimension dim, String shortNameCondition, String longNameCondition, String levelCondition, String selectedKeyString) throws SQLException;
	public String transferMemberDisplayTypeFromModelToXML(String string);
	public int getDimensionMemberNumber(Dimension dim) throws SQLException;
	public DimensionMember getFirstMember(Dimension dim) throws SQLException;
}
